/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.jsf.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.jsf.BlancoJsfConstants;
import blanco.jsf.resourcebundle.BlancoJsfResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoJsfWizardPage4 extends WizardPage {
    private static final BlancoJsfResourceBundle fBundle = new BlancoJsfResourceBundle();

    public BlancoJsfWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoJsfConstants.PRODUCT_NAME + "プラグインに関連するフォルダ");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE).setText(BlancoJsfConstants.PRODUCT_NAME
                + "プラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.ソースフォルダ (フォルダ名は src を推奨)");
        new Label(container, SWT.NONE)
                .setText("    ソースフォルダを設定(作成)することを強く推奨します。");
        new Label(container, SWT.NONE).setText("  2.メタディレクトリ (フォルダ名は meta"
                + BlancoJsfConstants.TARGET_SUBDIRECTORY + " を強く推奨します)");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "が格納されます。");
        new Label(container, SWT.NONE)
                .setText("  3.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE).setText("  4.自動生成されたソースコードが格納されるフォルダ");
        new Label(container, SWT.NONE).setText("    ・blanco/main (Java)");

        setControl(container);
    }
}